using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            string[] s2 = Console.ReadLine().Split();
            int[] uts = new int[2];
            int[] utp = new int[2];
            utp[0] = int.Parse(s1[0]);
            utp[1] = int.Parse(s1[1]);
            uts[0] = int.Parse(s2[0]);
            uts[1] = int.Parse(s2[1]);

            if (uts[0] < utp[0])
            {
                if (uts[1] < utp[1])
                    Console.WriteLine("?");
                else
                    Console.WriteLine("prvi");
            }
            else if (uts[1] < utp[1])
                Console.WriteLine("drugi");
            else
                Console.WriteLine("nijedan");

            Console.ReadLine();
        }
    }
}